boundary_conditions.hh File Reference
`#include <mia/core/msgstream.hh>`
`#include <mia/core/type_traits.hh>`
`#include <mia/core/factory.hh>`
Include dependency graph for boundary_conditions.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CSplineBoundaryCondition
| Abstract base class for B-spline interpolation boundary conditions. More...
class | CSplineBoundaryConditionPlugin
| Base plugin for spline boundary conditions. More...

## Typedefs

typedef THandlerSingleton< TFactoryPluginHandler< CSplineBoundaryConditionPlugin > > | CSplineBoundaryConditionPluginHandler
typedef CSplineBoundaryCondition::Pointer | PSplineBoundaryCondition

## Enumerations

enum | EBoundaryConditions { bc_mirror_on_bounds , bc_repeat , bc_zero , bc_unknown }

## Functions

| FACTORY_TRAIT (CSplineBoundaryConditionPluginHandler)
| make spline boundary conditions parsable by the command line
PSplineBoundaryCondition | produce_spline_boundary_condition (const std::string &descr)
EXPORT_CORE PSplineBoundaryCondition | produce_spline_boundary_condition (const std::string &descr, int width) __attribute__((deprecated))

## Variables

template class EXPORT_CORE | TFactory< CSplineBoundaryCondition >
template class EXPORT_CORE | THandlerSingleton< TFactoryPluginHandler< CSplineBoundaryConditionPlugin > >
template<>
const char *const | TPluginHandler< CSplineBoundaryConditionPlugin >::m_help

## Enumeration Type Documentation

## EBoundaryConditions

enum EBoundaryConditions

Enumerator
bc_mirror_on_bounds |
bc_repeat |
bc_zero |
bc_unknown |

Definition at line 35 of file boundary_conditions.hh.

## Function Documentation

## FACTORY_TRAIT()

FACTORY_TRAIT | ( | CSplineBoundaryConditionPluginHandler |  | ) |

make spline boundary conditions parsable by the command line

## produce_spline_boundary_condition() [1/2]

PSplineBoundaryCondition produce_spline_boundary_condition | ( | const std::string & | descr | ) |

inline

Create a specific instance of a spline interpolation boundary condition.

Parameters

  descr | Description of the requested boundary conditions

Returns
  the actual boundary condition

Definition at line 213 of file boundary_conditions.hh.

References THandlerSingleton< TFactoryPluginHandler< CSplineBoundaryConditionPlugin > >::instance().

## produce_spline_boundary_condition() [2/2]

EXPORT_CORE PSplineBoundaryCondition produce_spline_boundary_condition | ( | const std::string & | descr,
|  | int | width )

Create a specific instance of a spline interpolation boundary condition.

Parameters

  descr | Description of the requested boundary conditions
  width | width of the input domain

Returns
  the actual boundary condition

References EXPORT_CORE.

## Variable Documentation

## TFactory< CSplineBoundaryCondition >

template class EXPORT_CORE TFactory< CSplineBoundaryCondition >

extern

## THandlerSingleton< TFactoryPluginHandler< CSplineBoundaryConditionPlugin > >

template class EXPORT_CORE THandlerSingleton< TFactoryPluginHandler< CSplineBoundaryConditionPlugin > >

extern

## TPluginHandler< CSplineBoundaryConditionPlugin >::m_help

template<>

const char* const TPluginHandler< CSplineBoundaryConditionPlugin >::m_help

Definition at line 199 of file boundary_conditions.hh.